Raise asyncio.TimeoutError from None asyncio.exceptions.TimeoutError

My Rasa Version

Rasa Version      :         2.8.3
Minimum Compatible Version: 2.8.0
Rasa SDK Version  :         2.8.1
Rasa X Version    :         0.42.0
Python Version    :         3.8.7
Operating System  :         Windows-10-10.0.19041-SP0
Python Path       :         c:\users\atwine\appdata\local\programs\python\python38\python.exe

Error:

C:\Users\Atwine\Desktop\idi-chatbot>rasa x
Starting Rasa X in local mode... 🚀
2021-08-25 19:02:06 WARNING  rasax.community.services.insights.insight_service  - No local evaluation result files found.
2021-08-25 19:02:08 ERROR    concurrent.futures  - exception calling callback for <Future at 0x1dce7cb7f40 state=finished raised gaierror>
Traceback (most recent call last):
  File "c:\users\atwine\appdata\local\programs\python\python38\lib\concurrent\futures\thread.py", line 57, in run
    result = self.fn(*self.args, **self.kwargs)
  File "c:\users\atwine\appdata\local\programs\python\python38\lib\socket.py", line 918, in getaddrinfo
    for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "c:\users\atwine\appdata\local\programs\python\python38\lib\concurrent\futures\_base.py", line 328, in _invoke_callbacks
    callback(self)
  File "c:\users\atwine\appdata\local\programs\python\python38\lib\asyncio\futures.py", line 374, in _call_set_state
    dest_loop.call_soon_threadsafe(_set_state, destination, source)
  File "c:\users\atwine\appdata\local\programs\python\python38\lib\asyncio\base_events.py", line 764, in call_soon_threadsafe
    self._check_closed()
  File "c:\users\atwine\appdata\local\programs\python\python38\lib\asyncio\base_events.py", line 508, in _check_closed
    raise RuntimeError('Event loop is closed')
RuntimeError: Event loop is closed
2021-08-25 19:02:08 ERROR    concurrent.futures  - exception calling callback for <Future at 0x1dce7cbf430 state=finished returned list>
Traceback (most recent call last):
  File "c:\users\atwine\appdata\local\programs\python\python38\lib\concurrent\futures\_base.py", line 328, in _invoke_callbacks
    callback(self)
  File "c:\users\atwine\appdata\local\programs\python\python38\lib\asyncio\futures.py", line 374, in _call_set_state
    dest_loop.call_soon_threadsafe(_set_state, destination, source)
  File "c:\users\atwine\appdata\local\programs\python\python38\lib\asyncio\base_events.py", line 764, in call_soon_threadsafe
    self._check_closed()
  File "c:\users\atwine\appdata\local\programs\python\python38\lib\asyncio\base_events.py", line 508, in _check_closed
    raise RuntimeError('Event loop is closed')
RuntimeError: Event loop is closed
Traceback (most recent call last):
  File "c:\users\atwine\appdata\local\programs\python\python38\lib\site-packages\rasa\cli\x.py", line 496, in run_locally
    local.main(
  File "c:\users\atwine\appdata\local\programs\python\python38\lib\site-packages\rasax\community\local.py", line 257, in main
    common_utils.run_in_loop(model_service.discover_models())
  File "c:\users\atwine\appdata\local\programs\python\python38\lib\site-packages\rasax\community\utils\common.py", line 900, in run_in_loop
    return loop.run_until_complete(coro)
  File "c:\users\atwine\appdata\local\programs\python\python38\lib\asyncio\base_events.py", line 616, in run_until_complete
    return future.result()
  File "c:\users\atwine\appdata\local\programs\python\python38\lib\site-packages\rasax\community\services\model_service.py", line 821, in discover_models    
    await model_service.discover_models()
  File "c:\users\atwine\appdata\local\programs\python\python38\lib\site-packages\rasax\community\services\model_service.py", line 147, in discover_models    
    await _run_loop(max_retries, sleep_in_seconds)
  File "c:\users\atwine\appdata\local\programs\python\python38\lib\site-packages\rasax\community\services\model_service.py", line 133, in _run_loop
    await self._discover_models()
  File "c:\users\atwine\appdata\local\programs\python\python38\lib\site-packages\rasax\community\services\model_service.py", line 185, in _discover_models   
    minimum_version = await self._retry_fetching_minimum_compatible_version()
  File "c:\users\atwine\appdata\local\programs\python\python38\lib\site-packages\rasax\community\services\model_service.py", line 174, in _retry_fetching_minimum_compatible_version
    minimum_version = await self.minimum_compatible_version()
  File "c:\users\atwine\appdata\local\programs\python\python38\lib\site-packages\rasax\community\services\model_service.py", line 160, in minimum_compatible_version
    info = await stack_service.version()
  File "c:\users\atwine\appdata\local\programs\python\python38\lib\site-packages\rasax\community\services\stack_service.py", line 107, in version
    response = await session.get(
  File "c:\users\atwine\appdata\local\programs\python\python38\lib\site-packages\aiohttp\client.py", line 619, in _request
    break
  File "c:\users\atwine\appdata\local\programs\python\python38\lib\site-packages\aiohttp\helpers.py", line 656, in __exit__
    raise asyncio.TimeoutError from None
asyncio.exceptions.TimeoutError

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up.
If you need help fixing the issue visit our forum: https://forum.rasa.com/.

I am running a windows 10 Machine.

when I type rasa x that is the issue I get, what could be the problem?

@atwine can you try downgrade rasa x to pip install rasa-x==0.39.3 --extra-index-url https://pypi.rasa.com/simple

Some know errors with solution

‘RowProxy’ from ‘sqlalchemy.engine’ try install

pip install SQLAlchemy==1.3.22

Sanice error with solution

pip install sanic-jwt==1.6.0

last, alembic error delete .db file and run rasa x pip install SQLAlchemy==1.3.22

Good Luck! Hope this will help you.

1 Like

Thanks, I have tried that but I am still getting the same issue.

@atwine you first need to create conda environment did you created yes or no?

@atwine Ok if you not created please create it whilst using

  1. conda create -name “Your_Environment_Name” python=3.8 or python==3.7.7
  2. conda activate Your_Environment_Name

Then install rasa and rasa-sdk 2.8.1 respectively and then follow this Raise asyncio.TimeoutError from None asyncio.exceptions.TimeoutError - #2 by nik202

Good Luck!

Thanks, I had the environment but I had not used it, this is what I have now:

Traceback (most recent call last):
  File "C:\Users\Atwine\anaconda3\envs\rasaenv\lib\concurrent\futures\_base.py", line 328, in _invoke_callbacks
    callback(self)
  File "C:\Users\Atwine\anaconda3\envs\rasaenv\lib\asyncio\futures.py", line 374, in _call_set_state
    dest_loop.call_soon_threadsafe(_set_state, destination, source)
  File "C:\Users\Atwine\anaconda3\envs\rasaenv\lib\asyncio\base_events.py", line 764, in call_soon_threadsafe
    self._check_closed()
  File "C:\Users\Atwine\anaconda3\envs\rasaenv\lib\asyncio\base_events.py", line 508, in _check_closed
    raise RuntimeError('Event loop is closed')
RuntimeError: Event loop is closed
2021-08-26 00:33:56 ERROR    concurrent.futures  - exception calling callback for <Future at 0x2023263fb20 state=finished returned list>
Traceback (most recent call last):
  File "C:\Users\Atwine\anaconda3\envs\rasaenv\lib\concurrent\futures\_base.py", line 328, in _invoke_callbacks
    callback(self)
  File "C:\Users\Atwine\anaconda3\envs\rasaenv\lib\asyncio\futures.py", line 374, in _call_set_state
    dest_loop.call_soon_threadsafe(_set_state, destination, source)
  File "C:\Users\Atwine\anaconda3\envs\rasaenv\lib\asyncio\base_events.py", line 764, in call_soon_threadsafe
    self._check_closed()
  File "C:\Users\Atwine\anaconda3\envs\rasaenv\lib\asyncio\base_events.py", line 508, in _check_closed
    raise RuntimeError('Event loop is closed')
RuntimeError: Event loop is closed
[2021-08-26 00:34:05 +0300] [11756] [INFO] Goin' Fast @ http://0.0.0.0:5002
2021-08-26 00:34:05 INFO     sanic.root  - Goin' Fast @ http://0.0.0.0:5002

The server is running at http://localhost:5002/login?username=me&password=3OxJO6on25IK

[2021-08-26 00:34:05 +0300] [11756] [INFO] Starting worker [11756]
2021-08-26 00:34:05 INFO     sanic.root  - Starting worker [11756]
2021-08-26 00:34:07 ERROR    asyncio  - Task was destroyed but it is pending!
task: <Task pending name='Task-8' coro=<TCPConnector._resolve_host() running at C:\Users\Atwine\anaconda3\envs\rasaenv\lib\site-packages\aiohttp\connector.py:865> wait_for=<Future pending cb=[_chain_future.<locals>._call_check_cancel() at C:\Users\Atwine\anaconda3\envs\rasaenv\lib\asyncio\futures.py:360, <TaskWakeupMethWrapper object at 0x000002023263F640>()]> cb=[TCPConnector._create_direct_connection.<locals>.drop_exception() at C:\Users\Atwine\anaconda3\envs\rasaenv\lib\site-packages\aiohttp\connector.py:1002]>
2021-08-26 00:34:07 ERROR    asyncio  - Task was destroyed but it is pending!
task: <Task pending name='Task-9' coro=<TCPConnector._resolve_host() running at C:\Users\Atwine\anaconda3\envs\rasaenv\lib\site-packages\aiohttp\connector.py:865> wait_for=<Future pending cb=[_chain_future.<locals>._call_check_cancel() at C:\Users\Atwine\anaconda3\envs\rasaenv\lib\asyncio\futures.py:360, <TaskWakeupMethWrapper object at 0x000002023263F850>()]> cb=[TCPConnector._create_direct_connection.<locals>.drop_exception() at C:\Users\Atwine\anaconda3\envs\rasaenv\lib\site-packages\aiohttp\connector.py:1002]>
2021-08-26 00:34:49 WARNING  rasa.shared.utils.common  - The UnexpecTED Intent Policy is currently experimental and might change or be removed in the future 🔬 Please share your feedback on it in the forum (https://forum.rasa.com) to help us make this feature ready for production.

@atwine share your rasa version please rasa --version

(rasaenv) C:\Users\Atwine\Desktop\idi-chatbot>rasa --version
Rasa Version      :         2.8.3
Minimum Compatible Version: 2.8.0
Rasa SDK Version  :         2.8.1
Rasa X Version    :         0.39.3
Python Version    :         3.8.3
Operating System  :         Windows-10-10.0.19041-SP0
Python Path       :         C:\Users\Atwine\anaconda3\envs\rasaenv\python.exe

@atwine can you downgrade rasa 2.8.3 to rasa 2.8.1 using pip install rasa==2.8.1 and please do check the red flashed errors and even install again rasa-sdk to pip install rasa-sdk==2.8.1 and do check red flashed error.

@atwine If you find any error do share with me before proceed else run rasa x

Alright on it…!

Rasa Version      :         2.8.1
Minimum Compatible Version: 2.8.0
Rasa SDK Version  :         2.8.1
Rasa X Version    :         0.39.3
Python Version    :         3.8.3
Operating System  :         Windows-10-10.0.19041-SP0
Python Path       :         C:\Users\Atwine\anaconda3\envs\rasaenv\python.exe

No error installing

@atwine now run rasa x and if error still this time share me screenshot of error.

@atwine run these commands in your environment one by one and then run rasa x

SET http_proxy=http://localhost:5002

SET https_proxy=http://localhost:5002

Still same error as above.

@atwine check email and delete the email id

Thank you! Downgrading helps me and I then encountered every exact problem you mentioned.

@Crysflair Glad it helped you. Good Luck!

@atwine Hi, I hope you doing fine? If you solve this issue can you please close this thread. Thanks.

@nik202 not yet solved. Just busy with some things, but I will close it once am done with it.

@atwine No worries mate, I was just checking on your issue :slight_smile: IF you stuck do mention me @ and name.